using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("阅片医学审核项目问题")]
[Table("ReadingMedicineTrialQuestion")]
public class ReadingMedicineTrialQuestion : BaseFullAuditEntity
{

    #region 导航属性
    [JsonIgnore]
    [ForeignKey("ParentId")]
    public ReadingMedicineTrialQuestion ParentQuestion { get; set; }
    #endregion

    [Comment("类型")]
    public string Type { get; set; } = string.Empty;

    [Comment("父问题触发值")]
    public string ParentTriggerValue { get; set; } = string.Empty;

    [Comment("问题名称")]
    public string QuestionName { get; set; } = string.Empty;

    [Comment("语言类型")]
    public LanguageType LanguageType { get; set; } = LanguageType.Chinese;
    [Comment("类型值")]
    public string TypeValue { get; set; } = string.Empty;
    [Comment("项目ID")]
    public Guid TrialId { get; set; }

    [Comment("是否启用")]
    public bool IsEnable { get; set; }

    [Comment("是否必须")]
    public bool IsRequired { get; set; }

    [Comment("排序")]
    public int ShowOrder { get; set; }

    [Comment("父问题")]
    public Guid? ParentId { get; set; }

    [Comment("是否确认")]
    public bool IsConfirm { get; set; }

    [Comment("任务类型")]
    public ReadingCategory ReadingCategory { get; set; }

    [Comment("项目标准")]
    public Guid TrialReadingCriterionId { get; set; }

    public Guid? SystemQuestionId { get; set; }
}
